# AnimDataDrivers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``AnimDataDrivers`(bpy_struct)

  Collection of Driver F-Curves

  `from_existing`(src_driver=None)

    Add a new driver given an existing one

    Parameters: | src_driver (`FCurve`, (optional)) – Existing Driver F-Curve to use as template for a new one
    Returns: | New Driver F-Curve
    Return type: | `FCurve`

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`AnimData.drivers` |